Bug 99232 - rmmod fails Module unloading not configured
Summary: rmmod fails Module unloading not configured
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL: http://people.redhat.com/arjanv/2.5/
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-16 12:02 UTC by Paul Nasrat
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-09 23:09:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Nasrat 2003-07-16 12:02:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
The default configs with the src.rpm - which the binary rpms are compiled
against does not support module unloading.

grep UNLOA ~/rpm/SOURCES/kernel-2.6.0*config

# CONFIG_MODULE_UNLOAD is not set

It would be useful to have this enabled to do more extensive testing.

Version-Release number of selected component (if applicable):
kernel-2.6.0-0.test1-1.25

How reproducible:
Always

Steps to Reproduce:
1. /sbin/lsmod
2. Find a module you don't care about.
3. /sbin/rmmod <module>

Actual Results:  FATAL: Kernel does not have unload support

Expected Results:  Module succesfully unloaded

Comment 1 Paul Nasrat 2003-08-09 23:09:23 UTC
This is in more recent 2.6 kernel .configs by default.

Tested on 2.6.0-0.test3.1.31, cheers.


Note You need to log in before you can comment on or make changes to this bug.